package com.ningdatech.pmapi.organization.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author Liuxinxin
 * @since 2023-03-06
 */
@TableName("organization_tag")
@ApiModel(value = "OrganizationTag对象", description = "")
public class OrganizationTag implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private LocalDateTime createOn;

    private LocalDateTime updateOn;

    private Long createBy;

    private Long updateBy;

    private String organizationCode;

    private String tagCode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public LocalDateTime getCreateOn() {
        return createOn;
    }

    public void setCreateOn(LocalDateTime createOn) {
        this.createOn = createOn;
    }

    public LocalDateTime getUpdateOn() {
        return updateOn;
    }

    public void setUpdateOn(LocalDateTime updateOn) {
        this.updateOn = updateOn;
    }

    public Long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Long createBy) {
        this.createBy = createBy;
    }

    public Long getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(Long updateBy) {
        this.updateBy = updateBy;
    }

    public String getOrganizationCode() {
        return organizationCode;
    }

    public void setOrganizationCode(String organizationCode) {
        this.organizationCode = organizationCode;
    }

    public String getTagCode() {
        return tagCode;
    }

    public void setTagCode(String tagCode) {
        this.tagCode = tagCode;
    }

    @Override
    public String toString() {
        return "OrganizationTag{" +
                "id=" + id +
                ", createOn=" + createOn +
                ", updateOn=" + updateOn +
                ", createBy=" + createBy +
                ", updateBy=" + updateBy +
                ", organizationCode=" + organizationCode +
                ", tagCode=" + tagCode +
                "}";
    }
}
